Bug # 46389 (Accepted): Faulty Workspace Placeholders

Status: Resolved Priority: Should have
Author: Michael Klapper Category:
Created: 2012-07-06 Assigned To:
Updated: 2013-04-06 Due date:
TYPO3 Version: 4.7
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: tslib_menu::makeMenu - Move placeholder are displayed in navigation during WS preview 
Description

Live WS
Initial page tree situation:

+---[1] First
+---[2] Second
+---[3] Third

Displayed navigation in frontend

First |  Second | Third

Custom created WS
Create a new page "[4] Fourth" and move the page "[3] Third" as seen below:

+---[1] First
+---[4] Fourth
¦   +---[3] Third
+---[2] Second

If you now open the WS preview you will notice that the navigation shows something like:

First | Fourth | Second | Third

Comment
I would expect that the move placeholder of page "[3] Third" is not visible in the first navigation level any more.

Quick navigation snipp to reproduce:

navigation = COA
navigation {
    10 = HMENU
    10 {
        entryLevel = 0
        special = directory
        special.value = __YOUR_ENTRY_POINT__

        1 = TMENU
        1 {
            NO {
            }
        }
    }
}

Associated revisions
Revision 6a472ab1 - 2013-04-06 23:12 - Benjamin Mack

[BUGFIX]  Hide move placeholder in WS preview

Move placeholder are visible in the navigation
during WS preview if they are moved for example
from the first to the second level.

Change-Id: I7e3339488d9d64cdf04154fb0334880f76576f8d
Fixes: #38705
Releases: 6.0,4.7,4.6,4.5
Reviewed-on: https://review.typo3.org/12666
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

Revision 1b284b78 - 2013-04-06 23:15 - Benjamin Mack

[BUGFIX]  Hide move placeholder in WS preview

Move placeholder are visible in the navigation
during WS preview if they are moved for example
from the first to the second level.

Change-Id: I7e3339488d9d64cdf04154fb0334880f76576f8d
Fixes: #38705
Releases: 6.0,4.7,4.6,4.5
Reviewed-on: https://review.typo3.org/12666
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack
Reviewed-on: https://review.typo3.org/19711

Revision 23fbac94 - 2013-04-06 23:23 - Benjamin Mack
[BUGFIX]  Hide move placeholder in WS preview

Move placeholder are visible in the navigation
during WS preview if they are moved for example
from the first to the second level.

Fixes: #38705
Releases: 6.1,6.0,4.7,4.5
Change-Id: I7bdeee0246bb34bdc5b8baf963fad6b262078877
Reviewed-on: https://review.typo3.org/19712
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

Revision c01f4ee6 - 2013-04-06 23:25 - Benjamin Mack

[BUGFIX]  Hide move placeholder in WS preview

Move placeholder are visible in the navigation
during WS preview if they are moved for example
from the first to the second level.

Fixes: #38705
Releases: 6.1,6.0,4.7,4.5
Change-Id: I7bdeee0246bb34bdc5b8baf963fad6b262078877
Reviewed-on: https://review.typo3.org/19712
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack
Reviewed-on: https://review.typo3.org/19713

History
#1 - 2012-07-06 12:55 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12666

#2 - 2012-07-09 13:18 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12666

#3 - 2013-03-17 21:08 - Oliver Hader
- Parent task set to #46389

#4 - 2013-04-06 23:12 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/12666
#5 - 2013-04-06 23:14 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/19711

#6 - 2013-04-06 23:22 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/19712

#7 - 2013-04-06 23:25 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.
It is available at https://review.typo3.org/19713

#8 - 2013-04-06 23:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c01f4ee662625cff4ec3abf95da60f58dd37ca3f.
